Phalcon 4 yayınlandı

Phalcon frameworkünün 4. sürümü yayınlandı. Başlıca değişiklikler şunlar: Minimum PHP versiyonu olarak 7.2 ayarlandı PHP7.4 desteklenmeye başlandı PSR-7, PSR-11, PSR-13, PSR-16 ve PSR-17 desteklenmeye başlandı Kaynaklar: https://blog.phalcon.io/post/phalcon-4-0-0-released https://github.com/phalcon/cphalcon/blob/4.0.x/CHANGELOG-4.0.md

CakePHP’nin 4. sürümü yayınlandı

CakePHP frameworkünün 4. sürümü yayınlandı. Başlıca değişiklikler şunlar: Minimum PHP versiyonu 7.2 olarak ayarlandı Hata mesajları geliştirildi FormHelper sınıfının html5 validasyon kurallarını oluşturabilmesi sağlandı. Kaynak: https://bakery.cakephp.org/2019/12/15/cakephp_400_released.html

Preload’ta önemli hata bulundu

PHP7.4 ile birlikte gelen preload özelliğinin henüz kararlı olmadığı keşfedildi. Bir Laravel projesinde bulunan hata sonucu preload’un temel düzeyde bazı eksiklikleri olduğu anlaşıldı. Hata düzeltilene kadar preload özelliğinin kullanılmaması tavsiye ediliyor. Kaynak: https://bugs.php.net/bug.php?id=78918